%global _hardened_build 1
%define _user cicd
%define _group cicd
%define _varlib /var/lib/mvoci/
%define _logdir /var/log/cds/

Name: reviewdog
Version: 0.13.0
Release: 1%{?dist}
Summary: ReviewDog
License: GPLv3
URL: https://codeberg.org/snaums/mvoCI
BuildRequires: golang
#Requires:


%description


%prep
%setup -q -T -c %{name}-%{version}
mkdir -p go/src/github.com/reviewdog/
cd go/src/github.com/reviewdog/
git clone https://github.com/reviewdog/reviewdog


%build
export GOPATH=`pwd`
export PATH=$PATH:$GOPATH/bin/:$GOBIN
export GO111MODULE=on
cd go/src/github.com/reviewdog/reviewdog
export CGO_ENABLED=0
export HASH=`git rev-list -1 HEAD`
export GOVERSION=`go version`
export DATE=`date +%Y%m%d`
go build -v -trimpath -ldflags "-s -w -X github.com/reviewdog/reviewdog/commands.Version="%{version} -o reviewdog ./cmd/reviewdog
npm install

%install
mkdir -p %{buildroot}%{_bindir}
cp go/src/github.com/reviewdog/reviewdog/reviewdog %{buildroot}%{_bindir}


%files
%{_bindir}/reviewdog


%changelog
